<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Test_Model_Elocker_Sender extends EcomDev_PHPUnit_Test_Case
{

    /**
     * @var SemExpert_Oca_Model_Elocker_Sender
     */
    protected $_object;

    /**
     * Sets up the fixture, for example, opens a network connection.
     * This method is called before a test is executed.
     */
    protected function setUp()
    {
        $this->_object = Mage::getModel('oca/elocker_sender');
    }

    /*
     * Test para verificar una funcionalidad rota en un refactoring de esta clase
     * que estaba siendo usado por un observer
     */
    public function testAvailableMethods()
    {
        $this->assertTrue(method_exists($this->_object, 'shipById'));
    }
}
