<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$installer = $this;

$installer->startSetup();

$installer->run(
    "CREATE TABLE {$this->getTable('oca/branch')} (
          `branch_id` int(10) unsigned NOT NULL auto_increment,
          `code` varchar(100),
          `short_name` varchar(100),
          `name` varchar(100),
          `description` varchar(100),
          `address_street` varchar(100),
          `address_number` varchar(100),
          `address_floor` varchar(100),
          `locality` varchar(30),
          `zipcode` varchar(20),
          PRIMARY KEY  (`branch_id`)
        ) ENGINE=InnoDB DEFAULT CHARSET=utf8;"
);

$installer->endSetup();