<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/* @var $installer Mage_Catalog_Model_Resource_Setup */
$installer = new Mage_Catalog_Model_Resource_Setup('catalog_setup');

$installer->startSetup();

$attributes = array(
    'box_id' => array(
        'type' => 'int',
        'input' => 'select',
        'visible' => 1,
        'visible_on_front' => 1,
        'label' => 'Caja',
        'visible_in_advanced_search' => 0,
        'comparable' => 0,
        'required' => 0,
        'filterable' => 0,
        'filterable_in_search' => 0,
        'user_defined' => 0,
        'source' => 'SemExpert_Oca_Model_Catalog_Product_Attribute_Source_Box'
    )
);

$entityTypeId = 'catalog_product';

foreach ($attributes as $code => $definition) {
    $installer->addAttribute($entityTypeId, $code, $definition);
}

$installer->endSetup();