<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Box_Edit_Form
extends SemExpert_Oca_Block_Box_Form
{
    const REGISTRY_CURRENT_NAME = SemExpert_Oca_Block_Box_Edit::REGISTRY_CURRENT_NAME;
    const ID_FIELD = 'box_id';
    const FORM_ACTION = 'edit_box';

    public function childFormSetup($fieldset, $form) 
    {
        $form->setAction($this->getUrl('*/*/save'));
        $form->addField(
            self::ID_FIELD, 'hidden', array(
                'name' => self::ID_FIELD,
            )
        );

        $form->setValues(Mage::registry(self::REGISTRY_CURRENT_NAME)->getData());
        $form->setDataObject(Mage::registry(self::REGISTRY_CURRENT_NAME));
    }

    public function getFormAction() 
    {
        return self::FORM_ACTION;
    }

}