<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Box_New extends Mage_Adminhtml_Block_Widget_Form_Container
{
    // block is self::BLOCK_CLASS . '/' . self::BLOCK_PREFIX . '_' . self::BLOCK_MODE
    const BLOCK_CLASS = 'oca';
    const BLOCK_PREFIX = 'box';
    const BLOCK_MODE = 'new';

    const HELPER_CLASS = 'oca';

    const NEW_TITLE = "Add New Box";

    public function __construct()
    {
        parent::__construct();

        $this->_blockGroup = self::BLOCK_CLASS;
        $this->_mode = self::BLOCK_MODE;
        $this->_controller = self::BLOCK_PREFIX;
    }

    public function getHeaderText()
    {
        return $this->_getHelper()->__(self::NEW_TITLE);
    }

    protected function _getHelper()
    {
        return Mage::helper(self::HELPER_CLASS);
    }

}