<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Batch_Sender
extends SemExpert_Oca_Model_Sender_Abstract
{
    protected function getCarrier()
    {
        return Mage::getModel('oca/carrier_oca');
    }

    //@todo: Habría que soportar alguna interfaz para enviar a oca sin tener que
    //generar el shipment en el momento sino usar un shipment existente
    public function ship($order, $shipper = false)
    {
        // fuerzo operatoria
        if ($order->getUseOperatory()) {
            $this->setOperatoryId($order->getUseOperatory());
        }

        return parent::ship($order, $shipper);
    }

}
