<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Branch_Main extends Mage_Adminhtml_Block_Widget_Grid_Container
{
    public function __construct()
    {
        $this->_addButtonLabel = Mage::helper('oca')->__('Add New Branch');
        parent::__construct();

        $this->_blockGroup = 'oca';
        $this->_controller = 'branch_main';
        $this->_headerText = Mage::helper('oca')->__('Manage Branches');
    }

    public function getHeaderHtml()
    {
        return '<h3 style="background-image: url(' 
            . $this->getSkinUrl('images/semexpert-icon.png')
            . ');" class="' . $this->getHeaderCssClass() . '">'
            . $this->getHeaderText() . '</h3>';
    }
}
