<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Mass_Send
extends Mage_Adminhtml_Block_Widget_Form_Container
{
    // block is self::BLOCK_CLASS . '/' . self::BLOCK_PREFIX . '_' . self::BLOCK_MODE . '_form'
    const BLOCK_CLASS = 'oca';
    const BLOCK_PREFIX = 'mass';
    const BLOCK_MODE = 'send';

    const HELPER_CLASS = 'oca';

    public function __construct()
    {
        parent::__construct();

        $this->_blockGroup = self::BLOCK_CLASS;
        $this->_mode = self::BLOCK_MODE;
        $this->_controller = self::BLOCK_PREFIX;
    }

    public function getHeaderText()
    {
        return $this->_getHelper()->__('Envío masivo a Oca');
    }

    protected function _getHelper()
    {
        return Mage::helper(self::HELPER_CLASS);
    }

    public function getBackUrl()
    {
        return $this->getUrl('adminhtml/sales_order');
    }
}
