<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_System_Config_Source_Elockers_Method
{
    /**
     * Retrieve All options
     *
     * @return array
     */
    public function getAllOptions()
    {
        return array(
            array('value' => '0', 'label' => 'Monto Fijo'),
            array('value' => '1', 'label' => 'Usar Operatoria')
        );
    }

    /**
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     * @param bool $includeEmpty
     * @return array
     */
    public function toOptionArray($includeEmpty = false)
    {
        return $this->getAllOptions();
    }
}
