<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Source_Operatory
{
    public function toOptionArray() 
    {
        $collection = Mage::getResourceModel('oca/operatory_collection');
        $options = array(array('value' => '', 'label' => 'Seleccione uno'));
        
        foreach ($collection as $operatory) {
            $options[] = array(
                'value' => $operatory->getId(),
                'label' => $operatory->getCode() . ' - ' . $operatory->getName()
            );
        }
        
        return $options;
    }

    public function getOptionArray()
    {
        $collection = Mage::getResourceModel('oca/operatory_collection');
        $options = array();

        foreach ($collection as $operatory) {
            $options[$operatory->getId()] = $operatory->getCode() . ' - ' . $operatory->getName();
        }

        return $options;
    }
}
