<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_System_Config_Source_Oca_Operatory
extends SemExpert_Oca_Model_System_Config_Source_Generator_Abstract
{
    public function toOptionArray()
    {
        $model = 'oca/operatory';
        $value = 'code';
        $label = 'name';
        
        $values = array(array('value' => '', 'label' => Mage::helper('oca')->__('Select an Operatory')));
        $values = array_merge(
            $values,
            $this->_toOptionArray($model, $value, $label)
        );
        
        return $values;
    }
}