<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$installer = $this;

$installer->startSetup();

$installer->run(
    "CREATE TABLE {$this->getTable('oca/operatory')} (
      `operatory_id` int(10) unsigned NOT NULL auto_increment,
      `name` varchar(100),
      `code` varchar(10),
      `active` tinyint unsigned NOT NULL default 1,
      PRIMARY KEY  (`operatory_id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;"
);

$installer->endSetup();