<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/* @var $setup Mage_Catalog_Model_Resource_Setup */
$setup = new Mage_Catalog_Model_Resource_Setup('catalog_setup');
$setup->startSetup();

$attr = array (
    'attribute_model' => NULL,
    'type' => 'int',
    'table' => NULL,
    'input' => 'select',
    'label' => 'Tamaño del Producto',
    'source' => 'SemExpert_Oca_Model_Catalog_Product_Attribute_Source_Size',
    'frontend_class' => NULL,
    'required' => '0',
    'user_defined' => false,
    'default' => '',
    'unique' => '0',
    'note' => NULL,
    'input_renderer' => NULL,
    'global' => '0',
    'visible' => '1',
    'searchable' => '0',
    'filterable' => '0',
    'comparable' => '0',
    'visible_on_front' => '0',
    'is_html_allowed_on_front' => '0',
    'is_used_for_price_rules' => '0',
    'filterable_in_search' => '0',
    'used_in_product_listing' => 1,
    'used_for_sort_by' => '0',
    'is_configurable' => '0',
    //'apply_to' => 'virtual',
    'visible_in_advanced_search' => '0',
    'position' => '0',
    'wysiwyg_enabled' => '0',
    'is_display_in_invoice' => '0',
    'used_for_promo_rules' => '0',
    );
//$this->removeProductAttribute('vendor_product_status');

$productEntityId = $setup->getEntityTypeId('catalog_product');
$setup->addAttribute($productEntityId, 'size_elocker_id', $attr);

$setup->endSetup();
