<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Adminhtml_Sales_Order_Grid
extends Mage_Adminhtml_Block_Sales_Order_Grid
{
    protected function _prepareMassaction()
    {
        parent::_prepareMassaction();

        $this->getMassactionBlock()->addItem(
            'send_oca',
            array(
                'label'=> Mage::helper('oca')->__('Enviar por Oca'),
                'url'  => $this->getUrl('oca/admin/massSend'),
            )
        );

        return $this;
    }
}
