<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Box_IsDefault_Renderer
extends Mage_Adminhtml_Block_Widget_Grid_Column_Renderer_Abstract
{
    public function render(Varien_Object $row)
    {
        if ($row->getData($this->getColumn()->getIndex())) {
            return Mage::helper('oca')->__('Default');
        }

        $action = $this->getUrl('oca/boxes/makedefault', array('box_id' => $row->getId()));
        $text = Mage::helper('oca')->__('Make default');
        return "<a href='$action'>$text</a>";
    }
}
