<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Elocker_Sender extends SemExpert_Oca_Model_Sender_Abstract
{

    public function prepareShipment($shipment)
    {
        $packages = $this->extractItems($shipment);

        $shipment->setPackages($packages);

        return $shipment;
    }

    protected function getCarrier()
    {
        return Mage::getModel('oca/carrier_elockers');
    }

}