<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Localization extends Mage_Core_Model_Abstract
{
    
    public function __construct( ) 
    {
        $this->_init('oca/Localization');
    }
    
    public function getBranchesByZipcode($zipcode)
    {
        $localizations = $this->getCollection()
            ->addFieldToFilter('zipcode', array('eq' => $zipcode));
        
        $retval = array();
        foreach ($localizations as $localization) {
            $retval[] = $localization->getBranchId();
        }
        
        return $retval;
    }
}