<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Test_Helper_Elockers_CompatibleProductsFlatEnabled
extends EcomDev_PHPUnit_Test_Case
{
    /**
     * @var SemExpert_Oca_Helper_Elockers
     */
    private $_helper;

    public function setUp()
    {
        parent::setUp();
        $this->_helper = new SemExpert_Oca_Helper_Elockers();
        $this->getFixture();
        Mage::app()->setCurrentStore(Mage::app()->getStore(1));
        /* @var Mage_Catalog_Model_Product_Flat_Indexer $indexer */
        $indexer = Mage::getResourceModel('catalog/product_flat_indexer');
        $indexer->reindexAll();
    }

    /**
     * @test
     * @group integration
     * @group wip
     * @loadFixture EnableFlat
     */
    public function execute()
    {
        $this->assertTrue(
            $this->_helper->productsCompatibleWithElockers(array(618 => 1))
        );
    }
}