<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_Order_Shipment extends Mage_Sales_Model_Order_Shipment
{
    const DUMMY_TRACKING_NUMBER = 'xxx';
    
    public function addTrack(Mage_Sales_Model_Order_Shipment_Track $track)
    {
        if ($track->getNumber() != self::DUMMY_TRACKING_NUMBER) {
            parent::addTrack($track);
        }

        return $this;
    }
    
}
