<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
    $installer = $this;

    $installer->startSetup();

    $zipcodes = array(
        '2' => 1838,
        '3' => 1870,
        '4' => 9420,
        '7' => 1035,
        '8' => 1642,
        '9' => 1053,
        '11' => 9410,
        '12' => 1010,
        '13' => 1406,
        '14' => 1408,
        '15' => 1832,
        '16' => 1708,
        '17' => 1141,
        '18' => 1425,
        '19' => 1878,
        '20' => 1642,
        '21' => 1708,
        '22' => 1663,
        '23' => 1650,
        '24' => 5600,
        '25' => 3230,
        '26' => 8340,
        '27' => 7300,
        '28' => 8000,
        '29' => 8400,
        '30' => 8322,
        '31' => 7130,
        '32' => 8360,
        '34' => 2804,
        '35' => 3400,
        '36' => 3400,
        '39' => 5186,
        '40' => 5000,
        '41' => 5000,
        '42' => 5280,
        '43' => 5220,
        '44' => 5850,
        '45' => 5152,
        '46' => 3200,
        '47' => 9000,
        '48' => 7540,
        '49' => 4700,
        '50' => 3380,
        '51' => 9200,
        '52' => 8324,
        '53' => 2400,
        '55' => 3600,
        '56' => 2820,
        '57' => 8332,
        '58' => 6360,
        '59' => 3370,
        '60' => 5300,
        '61' => 6620,
        '62' => 2700,
        '63' => 6500,
        '64' => 6000,
        '65' => 6400,
        '66' => 4600,
        '67' => 7100,
        '68' => 6700,
        '69' => 5700,
        '70' => 7620,
        '71' => 7600,
        '72' => 7630,
        '73' => 5570,
        '74' => 5560,
        '75' => 2900,
        '76' => 8300,
        '77' => 3360,
        '78' => 7400,
        '79' => 3450,
        '80' => 7500,
        '81' => 3100,
        '82' => 3700,
        '83' => 3300,
        '85' => 2300,
        '86' => 2322,
        '87' => 3560,
        '88' => 2670,
        '89' => 6120,
        '90' => 9100,
        '91' => 3500,
        '92' => 9400,
        '93' => 2000,
        '94' => 2000,
        '96' => 6300,
        '97' => 4200,
        '98' => 3000,
        '99' => 4530,
        '100' => 4400,
        '101' => 4560,
        '102' => 8370,
        '103' => 7000,
        '104' => 4000,
        '105' => 8500,
        '106' => 7165,
        '107' => 2550,
        '108' => 2580,
        '109' => 5900,
        '110' => 2600,
        '111' => 9120,
        '112' => 5870,
        '113' => 1708,
        '114' => 3260,
        '115' => 1900,
        '116' => 5940,
        '117' => 5500,
        '118' => 6600,
        '119' => 5800,
        '120' => 5425,
        '121' => 5730,
        '122' => 1285,
        '123' => 1276,
        '125' => 6640,
        '126' => 7600,
        '127' => 6740,
        '128' => 9011,
        '129' => 2930,
        '130' => 9405,
        '131' => 1888,
        '132' => 7167,
        '133' => 1426,
        '134' => 6300,
        '135' => 8109,
        '136' => 7240,
        '137' => 3600,
        '138' => 1419,
        '139' => 1426,
        '140' => 5360,
        '141' => 1406,
        '142' => 3100,
        '143' => 1618,
        '144' => 5501,
        '145' => 2200,
        '146' => 1214,
        '147' => 1030,
        '148' => 1135,
    );

    foreach ($zipcodes as $code => $zipcode) {
        $branch = Mage::getModel('oca/branch')->loadByCodeOrNew($code);
        $branch->setZipcode($zipcode)->save();
    }
    
    $installer->endSetup();
