<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/* @var $installer Mage_Core_Model_Resource_Setup */
$installer = $this;

$installer->startSetup();

$connection = $installer->getConnection();

$table = $installer->getTable('oca/operatory');

$connection->addColumn($table, 'calculator_method', 'integer(11) default 0');
$connection->addColumn($table, 'fixed_rate', 'decimal(12,4) default 0');

$installer->endSetup();
