<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Block_Operatory_Edit extends Mage_Adminhtml_Block_Widget_Form_Container
{
    public function __construct()
    {
        parent::__construct();

        $this->_blockGroup = 'oca';
        $this->_mode = 'edit';
        $this->_controller = 'operatory';

        if ($this->getRequest()->getParam($this->_objectId)) {
            $operatory = Mage::getModel('oca/operatory')
                ->load($this->getRequest()->getParam($this->_objectId));
            Mage::register('current_operatory', $operatory);
        }
    }

    public function getHeaderText()
    {
        return Mage::helper('oca')->__(
            "Edit Operatory '%s'",
            $this->escapeHtml(Mage::registry('current_operatory')->getName())
        );
    }
}
