<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_TrackingController extends Mage_Core_Controller_Front_Action
{
    public function labelAction()
    {
        $shipmentId = $this->getRequest()->getParam('shipment_id');
        $this->getResponse()->setBody(
            $this->getLayout()
                ->createBlock('oca/shipment_label')
                ->setShipmentId($shipmentId)
                ->setCheckUser(true)
                ->setUser(Mage::getSingleton('customer/session')->getCustomerId())
                ->toHtml()
        );
    }

    /*
    public function testAction()
    {
        die('V1.0');
    } */
}
