<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

$installer = $this;

$installer->startSetup();

$installer->run(
    "CREATE TABLE {$this->getTable('oca/localization')} (
      `localization_id` int(10) unsigned NOT NULL auto_increment,
      `branch_id` int(10) unsigned NOT NULL,
      `zipcode` varchar(20),
      PRIMARY KEY  (`localization_id`)
    ) ENGINE=InnoDB DEFAULT CHARSET=utf8;"
);

$installer->run("CREATE INDEX oca_localization_zipcode ON {$this->getTable('oca/localization')} (zipcode);");

$installer->endSetup();
