<?php
/**
 * SemExpert_Oca
 *
 * @category    SemExpert
 * @package     SemExpert_Oca
 * @copyright   Copyright (c) SemExpert SRL (http://www.semexpert-ecommerce.com/)
 * @license     http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */
class SemExpert_Oca_Model_System_Config_Source_Generator_Abstract
{
    /**
     * @SuppressWarnings(PHPMD.UnusedFormalParameter)
     * @param $model
     * @param $value
     * @param $label
     * @param array $filters
     * @return array
     */
    public function _toOptionArray($model, $value, $label, $filters = array())
    {
        $results = array();
        
        // TODO: implement filters so that this class is more generic
        $collection = Mage::getModel($model)->getCollection();
        if ($collection->count() > 0) {
            foreach ($collection as $item) {
                $results[] = array('value' => $item->getData($value) , 'label' => $item->getData($label));
            }
        }
        
        return $results;
    }
}
